## alot 0.3.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

CONFIG_OPTION_TABLES = source/configuration/alotrc_table source/configuration/accounts_table
COMMAND_OPTION_TABLES = source/usage/modes/bufferlist.rst \
			source/usage/modes/envelope.rst \
			source/usage/modes/global.rst \
			source/usage/modes/search.rst \
			source/usage/modes/taglist.rst \
			source/usage/modes/thread.rst


.PHONY: html help clean dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

$(COMMAND_OPTION_TABLES):
	python source/generate_commands.py

$(CONFIG_OPTION_TABLES):
	python source/generate_configs.py

clean:
	-rm -rf $(BUILDDIR)/*

html: $(CONFIG_OPTION_TABLES) $(COMMAND_OPTION_TABLES)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: $(CONFIG_OPTION_TABLES) $(COMMAND_OPTION_TABLES)
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: $(CONFIG_OPTION_TABLES) $(COMMAND_OPTION_TABLES)
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: $(CONFIG_OPTION_TABLES) $(COMMAND_OPTION_TABLES)
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: $(CONFIG_OPTION_TABLES) $(COMMAND_OPTION_TABLES)
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: $(CONFIG_OPTION_TABLES) $(COMMAND_OPTION_TABLES)
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

devhelp: $(CONFIG_OPTION_TABLES) $(COMMAND_OPTION_TABLES)
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/alot"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/alot"
	@echo "# devhelp"

epub: $(CONFIG_OPTION_TABLES) $(COMMAND_OPTION_TABLES)
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: $(CONFIG_OPTION_TABLES) $(COMMAND_OPTION_TABLES)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: $(CONFIG_OPTION_TABLES) $(COMMAND_OPTION_TABLES)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text: $(CONFIG_OPTION_TABLES) $(COMMAND_OPTION_TABLES)
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: $(CONFIG_OPTION_TABLES) $(COMMAND_OPTION_TABLES)
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes: $(CONFIG_OPTION_TABLES) $(COMMAND_OPTION_TABLES)
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck: $(CONFIG_OPTION_TABLES) $(COMMAND_OPTION_TABLES)
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest: $(CONFIG_OPTION_TABLES) $(COMMAND_OPTION_TABLES)
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## alot 0.3.3

=== debian/changelog ===
alot (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * Drop all patches, either applied upstream or became irrelevant.
  * New patch: 0007-use-local-intersphinx-links to use local debian
    documentation instead of fetching it on the Internet.

 -- Simon Chopin <chopin.simon@gmail.com>  Tue, 11 Sep 2012 21:04:24 -0400

alot (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #677522)

 -- Simon Chopin <chopin.simon@gmail.com>  Tue, 28 Aug 2012 09:47:28 -0400

=== debian/control ===
Source: alot
Section: mail
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Simon Chopin <chopin.simon@gmail.com>
Build-Depends:
 debhelper (>= 9),
 python (>= 2.7),
 python-sphinx (>= 1.0.7+dfsg),
 python-doc,
 python-configobj
X-Python-Version: >= 2.7
Standards-Version: 3.9.3
Homepage: http://github.com/pazz/alot/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/alot/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/alot/trunk/

Package: alot
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 python-notmuch (>= 0.12),
 python-magic,
 python-configobj (>= 4.6.0),
 python-twisted (>= 10.2.0),
 python-gpgme,
 python-urwid (>= 1.0)
Suggests: alot-doc
Description: Text mode MUA using notmuch mail
 Alot is a text mode mail user agent for the notmuch mail system.
 It features a modular and command prompt driven interface to provide
 a full MUA experience as an alternative to the Emacs and Vim modes shipped
 with notmuch.

Package: alot-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python-doc
Description: Text mode MUA using notmuch mail - documentation
 Alot is a terminal-based mail user agent for the notmuch mail system.
 It features a modular and command prompt driven interface to provide
 a full MUA experience as an alternative to the Emacs and Vim modes shipped
 with notmuch.
 .
 This package provides detailed documentation on alot usage.

=== debian/watch ===
version=3
http://githubredir.debian.net/github/pazz/alot/(.*).tar.gz

## alot 0.3.5

=== debian/changelog ===
alot (0.3.5-2) unstable; urgency=low

  * Drop outdated Lintian overrides for alot-doc
  * Add a patch to fix an encoding error in the GPG handling that prevented
    alot from opening some threads.

 -- Simon Chopin <chopin.simon@gmail.com>  Thu, 25 Jul 2013 11:05:43 +0200

alot (0.3.5-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Simon Chopin ]
  * Add w3m | links to Recommends to enable HTML rendering
  * New upstream release
    + Drop the backported GPGFix patch
  * d/copyright: Bump the copyright years
  * Bump Standard-Version to 3.9.4, no change required

 -- Simon Chopin <chopin.simon@gmail.com>  Tue, 23 Jul 2013 22:51:33 +0200

alot (0.3.4-2) unstable; urgency=low

  * New patch fixing ill-instantiated GPGProblem exception, thanks to 
    Vasudev Kamath (Closes: #704884)

 -- Simon Chopin <chopin.simon@gmail.com>  Tue, 09 Apr 2013 15:33:32 +0200

alot (0.3.4-1) unstable; urgency=low

  * New upstream release
  * debian/control: Add notmuch to the Recommends field
  * debian/watch: Use plain github URLs instead of githubredir

 -- Simon Chopin <chopin.simon@gmail.com>  Tue, 26 Mar 2013 21:23:58 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  python-doc,
  python-configobj
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://github.com/pazz/alot/
-Vcs-Svn: svn://svn.debian.org/python-apps/packages/alot/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/alot/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/alot/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/alot/trunk/
 
 Package: alot
 Architecture: all
@@ -27,6 +27,7 @@
  python-gpgme,
  python-urwid (>= 1.0)
 Suggests: alot-doc
+Recommends: notmuch, w3m | links | links2
 Description: Text mode MUA using notmuch mail
  Alot is a text mode mail user agent for the notmuch mail system.
  It features a modular and command prompt driven interface to provide

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	rm -rf $(CURDIR)/docs/build
	$(MAKE) -C docs html man

override_dh_auto_install:
	dh_auto_install -- --install-lib=/usr/share/alot/

override_dh_install:
	dh_install
	mv debian/alot/usr/bin/alot debian/alot/usr/share/alot/alot.bin
	dh_link -palot /usr/share/alot/alot.bin /usr/bin/alot
	# install the NEWS file as a changelog
	mkdir -p debian/alot/usr/share/doc/alot/ debian/alot-doc/usr/share/doc/alot-doc/
	cp NEWS debian/alot/usr/share/doc/alot/changelog
	cp NEWS debian/alot-doc/usr/share/doc/alot-doc/changelog

override_dh_compress:
	dh_compress -X.html -X.txt

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs/build/

## alot 0.3.6

=== debian/changelog ===
alot (0.3.6-1) unstable; urgency=medium

  * New upstream release
    + Drop the GPG encoding patch, merged upstream.
  * d/copyright: update copyright years.
  * d/control: Bump Standard-Version to 3.9.5, no changes required

 -- Simon Chopin <chopin.simon@gmail.com>  Fri, 22 Aug 2014 12:58:24 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python-doc,
  python-configobj
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://github.com/pazz/alot/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/alot/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/alot/trunk/

=== debian/watch ===
version=3

https://github.com/pazz/alot/tags .*/v?(\d\S*)\.tar\.gz

## alot 0.6

=== debian/changelog ===
alot (0.6-2.1) unstable; urgency=high

  * Non-maintainer upload
  * Drop "Use file-magic instead of python-magic" patch. Closes: #889293

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 04 Feb 2018 18:24:59 +0100

alot (0.6-2) unstable; urgency=low

  * Depend on python-gpg rather than pygpgme for alot package
    (Closes: #846314, #866027)

 -- Jordan Justen <jordan.l.justen@intel.com>  Wed, 06 Sep 2017 17:41:22 -0700

alot (0.6-1) unstable; urgency=low

  * New upstream release
  * Add PGP signature validation to watch file with pazz's signature
    with fingerprint B7838D65FEE80DED1DCA494D94340367D7D6C5AA.
  * Depend on python-gpg rather than pygpgme (Closes: #846314, #866027)
  * Update debian patches for 0.6 release
  * Add procps build-dependency since ps is used by tests
  * Set LC_ALL=C.UTF-8 in rules to fix two failing tests that make use of
    unicode characters.

 -- Jordan Justen <jordan.l.justen@intel.com>  Sun, 20 Aug 2017 15:40:54 -0700

alot (0.5.1-2) unstable; urgency=low

  * Update Vcs-Svn url (the old one didn't work)
  * Update Standards-Version to 4.0.0 (no changes required)
  * Fix lintian debian-rules-parses-dpkg-parsechangelog by using
    SOURCE_DATE_EPOCH from /usr/share/dpkg/pkg-info.mk
  * Override lintian vcs-field-uses-insecure-uri because alioth svn
    doesn't offer a secure way to retrieve the source
  * Override lintian debian-watch-may-check-gpg-signature until upstream
    implements it
  * Override lintian testsuite-autopkgtest-missing as a TODO item
  * Release to unstable since last uploads were made to experimental
    during the Stretch freeze

 -- Jordan Justen <jordan.l.justen@intel.com>  Mon, 10 Jul 2017 09:52:43 -0700

alot (0.5.1-1) experimental; urgency=low

  [ Jordan Justen ]
  * New upstream release (Closes: #848150, #792108).
  * Add new patch for python-magic=>file-magic rename
  * Add Jordan as uploader.
  * Update source compat from 9 to 10
  * Use debhelper pybuild (Closes: #855559)
  * Adjust dependencies based on setup.py and removed dependencies
    where oldstable/wheezy already met the requirement

  [ Hugo Lefeuvre ]
  * New upstream release (Closes: #814460).
  * Run wrap-and-sort -a.
  * debian/control:
    - Add myself to the uploaders.
    - Bump Standards-Version to 3.9.8.
    - Update Homepage field.
    - Add python-setuptools and python-urwidtrees to the Build-Depends 
      field (needed by new upstream release).
    - Add dh-python to the Build-Depends field.
    - Update Vcs-* fields to use encrypted protocols (https).
  * debian/copyright:
    - Update copyright years.
    - Add an entry for Hugo Lefeuvre.
    - Update Source and Format fields.
  * debian/patches:
    - Fix crash when email's date is malformated (Closes: #821459).
  * debian/rules:
    - Remove extra timestamps from the build system when creating the
      source archive (Closes: #784723).

 -- Jordan Justen <jordan.l.justen@intel.com>  Tue, 21 Feb 2017 01:14:49 -0800

=== debian/control ===
Source: alot
Section: mail
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders:
 Jordan Justen <jordan.l.justen@intel.com>,
 Simon Chopin <chopin.simon@gmail.com>,
 Hugo Lefeuvre <hle@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 procps,
 python (>= 2.7),
 python-configobj,
 python-doc,
 python-gpg,
 python-magic (>= 2:0.4.15),
 python-mock,
 python-notmuch,
 python-setuptools,
 python-sphinx (>= 1.0.7+dfsg),
 python-twisted,
 python-urwid (>= 1.1.0),
 python-urwidtrees (>= 1.0),
X-Python-Version: >= 2.7
Standards-Version: 4.0.0
Homepage: https://github.com/pazz/alot/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/alot/trunk
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/alot/trunk/

Package: alot
Architecture: all
Depends:
 python-configobj,
 python-gpg,
 python-magic,
 python-notmuch,
 python-twisted,
 python-urwid (>= 1.1.0),
 python-urwidtrees (>= 1.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 alot-doc,
Recommends:
 notmuch,
 w3m | links | links2,
Description: Text mode MUA using notmuch mail
 Alot is a text mode mail user agent for the notmuch mail system.
 It features a modular and command prompt driven interface to provide
 a full MUA experience as an alternative to the Emacs and Vim modes shipped
 with notmuch.

Package: alot-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python-doc,
Description: Text mode MUA using notmuch mail - documentation
 Alot is a terminal-based mail user agent for the notmuch mail system.
 It features a modular and command prompt driven interface to provide
 a full MUA experience as an alternative to the Emacs and Vim modes shipped
 with notmuch.
 .
 This package provides detailed documentation on alot usage.

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,18 @@
 #!/usr/bin/make -f
+include /usr/share/dpkg/pkg-info.mk
+
+BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
+
+export LC_ALL=C.UTF-8
+export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/alot/
 
 %:
-	dh $@ --with python2,sphinxdoc
+	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
 	rm -rf $(CURDIR)/docs/build
-	$(MAKE) -C docs html man
-
-override_dh_auto_install:
-	dh_auto_install -- --install-lib=/usr/share/alot/
+	$(MAKE) -C docs html man SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/(.+)\/archive\/v?(\d\S*)\.tar\.gz/$1\/releases\/download\/$2\/alot-$2.tar.gz.asc/," \
https://github.com/pazz/alot/tags .*/v?(\d\S*)\.tar\.gz

## alot 0.7

=== debian/changelog ===
alot (0.7-2) unstable; urgency=medium

  * d/alot-doc: Remove symlink from alot-doc package
  * d/control: Update Standards-Version to 4.2.0
  * d/patches: Update patches for lintian quilt-patch-missing-description
  * d/source: Override lintian build-depends-on-python-sphinx-only
  * d/scripts: Use symlink_to_dir to fix piuparts upgrade failure
  * d/watch: Update github url to check the releases url
  * d/patches: Apply patch for unicode char search bug. Closes: #880172
  * d/scripts: Use single alot-doc.maintscript script
  * d/alot-doc.maintscript: Fix symlink_to_dir package version. Closes: #905193

 -- Jordan Justen <jordan.l.justen@intel.com>  Fri, 17 Aug 2018 12:59:45 -0700

alot (0.7-1) unstable; urgency=low

  [Ondřej Nový]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field

  [Jordan Justen]
  * New upstream 0.7 release
  * d/watch: Remove "v" from tarball
  * Remove unused-override vcs-field-uses-insecure-uri for litian warning
  * Update to debhelper 11
  * Update Standards-Version to 4.1.4

 -- Jordan Justen <jordan.l.justen@intel.com>  Fri, 08 Jun 2018 21:21:59 -0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Simon Chopin <chopin.simon@gmail.com>,
  Hugo Lefeuvre <hle@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  procps,
  python (>= 2.7),
@@ -22,11 +22,10 @@
  python-twisted,
  python-urwid (>= 1.1.0),
  python-urwidtrees (>= 1.0),
-X-Python-Version: >= 2.7
-Standards-Version: 4.0.0
+Standards-Version: 4.2.0
 Homepage: https://github.com/pazz/alot/
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/alot/trunk
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/alot/trunk/
+Vcs-Git: https://salsa.debian.org/python-team/applications/alot.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/alot
 
 Package: alot
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,8 @@
 	mv debian/alot/usr/bin/alot debian/alot/usr/share/alot/alot.bin
 	dh_link -palot /usr/share/alot/alot.bin /usr/bin/alot
 	# install the NEWS file as a changelog
-	mkdir -p debian/alot/usr/share/doc/alot/ debian/alot-doc/usr/share/doc/alot-doc/
+	mkdir -p debian/alot/usr/share/doc/alot/
 	cp NEWS debian/alot/usr/share/doc/alot/changelog
-	cp NEWS debian/alot-doc/usr/share/doc/alot-doc/changelog
 
 override_dh_compress:
 	dh_compress -X.html -X.txt

=== debian/watch ===
version=4

opts="pgpsigurlmangle=s/(.+)\/archive\/v?(\d\S*)\.tar\.gz/$1\/releases\/download\/$2\/alot-$2.tar.gz.asc/,filenamemangle=s/.+\/(\d+.\d+)\.tar\.gz/alot-$1\.tar\.gz/" \
  https://github.com/pazz/alot/releases .*/(\d+.\d+)\.tar\.gz

## alot 0.8

=== debian/changelog ===
alot (0.8-2) unstable; urgency=medium

  * Add patch that fixes a race condition in tests (closes: #906335)

 -- Johannes 'josch' Schauer <josch@debian.org>  Tue, 12 Feb 2019 06:52:47 +0100

alot (0.8-1) unstable; urgency=medium

  [ Jordan Justen ]
  * New upstream 0.8 release. Closes: #916277
  * d/patches: Rebase patches for 0.8
  * d/watch: Split parameters onto separate lines
  * d/watch: Adjust pgp filename for 0.8 release
  * d/control: 0.8 now uses python3
  * d/rules: 0.8 now uses python3
  * d/patches: Use gpg rather than gpg2
  * d/patches: Patch test_env_set to call python3
  * d/control: Update Standards-Version to 4.2.1
  * d/lintian-overrides: Remove build-depends-on-python-sphinx-only override
  * d/lintian-overrides: Remove testsuite-autopkgtest-missing override
  * d/patches: Add patches to fix upstream issue #1360 (dropped chars)

  [ Johannes 'josch' Schauer ]
  * d/control: Add myself to Uploaders

 -- Johannes 'josch' Schauer <josch@debian.org>  Fri, 08 Feb 2019 23:09:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,24 @@
  Jordan Justen <jordan.l.justen@intel.com>,
  Simon Chopin <chopin.simon@gmail.com>,
  Hugo Lefeuvre <hle@debian.org>,
+ Johannes 'josch' Schauer <josch@debian.org>,
 Build-Depends:
  debhelper (>= 11),
  dh-python,
  procps,
- python (>= 2.7),
- python-configobj,
- python-doc,
- python-gpg,
- python-magic (>= 2:0.4.15),
- python-mock,
- python-notmuch,
- python-setuptools,
- python-sphinx (>= 1.0.7+dfsg),
- python-twisted,
- python-urwid (>= 1.1.0),
- python-urwidtrees (>= 1.0),
-Standards-Version: 4.2.0
+ python3 (>= 3.5),
+ python3-configobj,
+ python3-doc,
+ python3-gpg,
+ python3-magic (>= 2:0.4.15),
+ python3-mock,
+ python3-notmuch,
+ python3-setuptools,
+ python3-sphinx (>= 1.0.7+dfsg),
+ python3-twisted (>= 10.2.0),
+ python3-urwid (>= 1.1.0),
+ python3-urwidtrees (>= 1.0),
+Standards-Version: 4.2.1
 Homepage: https://github.com/pazz/alot/
 Vcs-Git: https://salsa.debian.org/python-team/applications/alot.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/alot
@@ -30,15 +31,15 @@
 Package: alot
 Architecture: all
 Depends:
- python-configobj,
- python-gpg,
- python-magic,
- python-notmuch,
- python-twisted,
- python-urwid (>= 1.1.0),
- python-urwidtrees (>= 1.0),
+ python3-configobj,
+ python3-gpg,
+ python3-magic,
+ python3-notmuch,
+ python3-twisted (>= 10.2.0),
+ python3-urwid (>= 1.1.0),
+ python3-urwidtrees (>= 1.0),
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
 Suggests:
  alot-doc,
 Recommends:

=== debian/watch ===
version=4

opts=\
pgpsigurlmangle=s/(.+)\/archive\/v?(\d\S*)\.tar\.gz/$1\/releases\/download\/$2\/$2.tar.gz.asc/,\
filenamemangle=s/.+\/(\d+.\d+)\.tar\.gz/alot-$1\.tar\.gz/ \
https://github.com/pazz/alot/releases .*/(\d+.\d+)\.tar\.gz

## alot 0.8.1

=== debian/changelog ===
alot (0.8.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Jordan Justen ]
  * d/patches: Cherry pick upstream 3446dc44f87d. Closes: #930057

 -- Jordan Justen <jordan.l.justen@intel.com>  Tue, 06 Aug 2019 15:34:16 -0700

alot (0.8.1-1) unstable; urgency=medium

  * New upstream 0.8.1 release
  * d/watch: Fix watch file format for patch versions
  * d/patches: Rebase patches for v0.8.1
  * d/control: Update Standards-Version to 4.3.0

 -- Jordan Justen <jordan.l.justen@intel.com>  Sat, 23 Feb 2019 00:17:34 -0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Hugo Lefeuvre <hle@debian.org>,
  Johannes 'josch' Schauer <josch@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
  dh-python,
  procps,
  python3 (>= 3.5),
@@ -23,7 +23,7 @@
  python3-twisted (>= 10.2.0),
  python3-urwid (>= 1.1.0),
  python3-urwidtrees (>= 1.0),
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/pazz/alot/
 Vcs-Git: https://salsa.debian.org/python-team/applications/alot.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/alot

## alot 0.9

=== debian/changelog ===
alot (0.9-1) unstable; urgency=medium

  [ Jordan Justen ]
  * New upstream 0.9 release
  * d/patches: Rebase patches for 0.9 release
  * d/control: Update Standards-Version to 4.5.0

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Re-export upstream signing key without extra signatures.
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Jordan Justen <jordan.l.justen@intel.com>  Tue, 11 Feb 2020 13:51:59 -0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Hugo Lefeuvre <hle@debian.org>,
  Johannes 'josch' Schauer <josch@debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  dh-python,
  procps,
  python3 (>= 3.5),
@@ -23,7 +23,7 @@
  python3-twisted (>= 10.2.0),
  python3-urwid (>= 1.1.0),
  python3-urwidtrees (>= 1.0),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/pazz/alot/
 Vcs-Git: https://salsa.debian.org/python-team/applications/alot.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/alot

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/alot/
 
 %:
-	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

## alot 0.9.1

=== docs/Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = build
+PYTHON        = python
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -42,14 +43,17 @@
 	@echo "  linkcheck  to check all external links for integrity"
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
 
-$(COMMAND_OPTION_TABLES):
-	python source/generate_commands.py
+$(COMMAND_OPTION_TABLES): ../alot/commands/__init__.py
+	$(PYTHON) source/generate_commands.py
 
-$(CONFIG_OPTION_TABLES):
-	python source/generate_configs.py
+$(CONFIG_OPTION_TABLES): ../alot/defaults/alot.rc.spec
+	$(PYTHON) source/generate_configs.py
 
 clean:
-	-rm -rf $(BUILDDIR)/*
+	-$(RM) -rf $(BUILDDIR)/*
+
+cleanall: clean
+	-$(RM) -rf $(CONFIG_OPTION_TABLES) $(COMMAND_OPTION_TABLES)
 
 html: $(CONFIG_OPTION_TABLES) $(COMMAND_OPTION_TABLES)
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== debian/changelog ===
alot (0.9.1-2) unstable; urgency=medium

  * Backport two commits from upstream
     - Fix utf8 encoding with a text/plain mailcap entry (closes: #964391)
     - Fix mailcap rendering for e-mails without `Content-Type` header
       (closes: #964501)

 -- Johannes 'josch' Schauer <josch@debian.org>  Fri, 10 Jul 2020 14:06:29 +0200

alot (0.9.1-1) unstable; urgency=medium

  [ Jordan Justen ]
  * New upstream 0.9.1 release. Closes: #955193
  * d/control: Update Jordan's email address
  * d/patches: Rebase patches for 0.9.1
  * d/control: Update to debhelper 13
  * d/control: Remove python3-mock dep, as it's now part of py stdlib
  * d/control: Bump python dependency to python 3.6
  * d/control: Require python3-notmuch 0.27 or newer
  * d/control: Bump twisted dependency to 18.4.0

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Jordan Justen <jljusten@debian.org>  Sun, 05 Jul 2020 01:19:27 -0700

alot (0.9-2) unstable; urgency=medium

  * d/patches: Add upstream patch 28a4296, Closes: #951504
  * d/control: Depend on python3-gpg (>= 1.13.1-6). Closes: #951308

 -- Jordan Justen <jordan.l.justen@intel.com>  Thu, 12 Mar 2020 14:43:44 -0700

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,25 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders:
- Jordan Justen <jordan.l.justen@intel.com>,
+ Jordan Justen <jljusten@debian.org>,
  Simon Chopin <chopin.simon@gmail.com>,
  Hugo Lefeuvre <hle@debian.org>,
  Johannes 'josch' Schauer <josch@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  procps,
- python3 (>= 3.5),
+ less,
+ locales-all,
+ python3 (>= 3.6),
  python3-configobj,
  python3-doc,
- python3-gpg,
+ python3-gpg (>= 1.13.1-6),
  python3-magic (>= 2:0.4.15),
- python3-mock,
- python3-notmuch,
+ python3-notmuch (>= 0.27),
  python3-setuptools,
  python3-sphinx (>= 1.0.7+dfsg),
- python3-twisted (>= 10.2.0),
+ python3-twisted (>= 18.4.0),
  python3-urwid (>= 1.1.0),
  python3-urwidtrees (>= 1.0),
 Standards-Version: 4.5.0

=== debian/watch ===
version=4

opts=\
pgpsigurlmangle=s/(.+)\/archive\/v?(\d\S*)\.tar\.gz/$1\/releases\/download\/$2\/$2.tar.gz.asc/,\
filenamemangle=s/.+\/(\d+(?:\.\d+)+)\.tar\.gz/alot-$1\.tar\.gz/ \
https://github.com/pazz/alot/releases .*/(\d+(?:\.\d+)+)\.tar\.gz

## alot 0.10

=== debian/changelog ===
alot (0.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Jordan Justen ]
  * New upstream 0.10 release.
  * d/patches: Rebase patches for 0.10 release
  * d/control: Change python3-notmuch dependency to python3-notmuch2
  * d/control: Bump python3-twisted dep to 18.4.0 from upstream
  * d/control: Bump python3-urwidtrees dep to 1.0.3 from upstream
  * d/rules: Skip auto test
  * d/control: Update Standards-Version to 4.6.0.1
  * d/patches: Cherry pick patch from PR 1543 until urwidtrees 1.0.3 is
    in debian

 -- Jordan Justen <jljusten@debian.org>  Mon, 27 Sep 2021 10:32:01 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: alot
 Section: mail
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Jordan Justen <jljusten@debian.org>,
  Simon Chopin <chopin.simon@gmail.com>,
@@ -18,16 +18,16 @@
  python3-doc,
  python3-gpg (>= 1.13.1-6),
  python3-magic (>= 2:0.4.15),
- python3-notmuch (>= 0.27),
+ python3-notmuch2 (>= 0.30),
  python3-setuptools,
  python3-sphinx (>= 1.0.7+dfsg),
  python3-twisted (>= 18.4.0),
  python3-urwid (>= 1.1.0),
- python3-urwidtrees (>= 1.0),
-Standards-Version: 4.5.0
+ python3-urwidtrees (>= 1.0.3),
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/pazz/alot/
-Vcs-Git: https://salsa.debian.org/python-team/applications/alot.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/alot
+Vcs-Git: https://salsa.debian.org/python-team/packages/alot.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/alot
 
 Package: alot
 Architecture: all
@@ -35,10 +35,10 @@
  python3-configobj,
  python3-gpg,
  python3-magic,
- python3-notmuch,
- python3-twisted (>= 10.2.0),
+ python3-notmuch2 (>= 0.30),
+ python3-twisted (>= 18.4.0),
  python3-urwid (>= 1.1.0),
- python3-urwidtrees (>= 1.0),
+ python3-urwidtrees (>= 1.0.3),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 	rm -rf $(CURDIR)/docs/build
 	$(MAKE) -C docs html man SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
 
+override_dh_auto_test:
+
 override_dh_install:
 	dh_install
 	mv debian/alot/usr/bin/alot debian/alot/usr/share/alot/alot.bin

## alot 0.11

=== docs/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = build
-PYTHON        = python
+PYTHON        = python3
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4

=== debian/changelog ===
alot (0.11-3) unstable; urgency=medium

  * Bump standards version to 4.7.2, no changes needed
  * d/copyright: remove the old FSF address from the LGPL stanza
  * d/p/0005*.patch: add missing Forwarded field
  * Add some lintian overrides for small papercuts
  * d/rules: use d/clean to remove docs/build
  * d/rules: use dh_installchangelogs to install upstream NEWS
  * d/rules: use dh-exec/dh_link for the alot executable
  * Use dh-sequence-sphinxdoc to enable the nodoc profile
  * d/rules: remove redundant dh_compress override
  * d/control: make notmuch a hard dependency as it's called from alot
  * re-enable the upstream test suite at build time

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 21 Aug 2025 11:34:02 +0200

alot (0.11-2) unstable; urgency=medium

  * Team upload.
  * Add dependency on python3-standard-mailcap for Python 3.13 support
    (Closes: #1092644, #1084714)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 10 Jan 2025 12:24:09 +0100

alot (0.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Port to Sphinx 8.0 (closes: #1090088).
  * Use pybuild-plugin-pyproject.
  * Handle building docs without installation.

 -- Colin Watson <cjwatson@debian.org>  Mon, 30 Dec 2024 11:11:55 +0000

alot (0.10-2) unstable; urgency=medium

  * Remove retired Uploader (Closes: #1050275)
  * d/watch: Adjust pgpsigurlmangle to find signature
  * d/watch: Update watch file url scanning configuration
  * d/control: Update Standards-Version to 4.6.2

 -- Jordan Justen <jljusten@debian.org>  Fri, 13 Oct 2023 02:12:08 -0700

=== debian/control ===
--- 
+++ 
@@ -5,26 +5,30 @@
 Uploaders:
  Jordan Justen <jljusten@debian.org>,
  Simon Chopin <chopin.simon@gmail.com>,
- Hugo Lefeuvre <hle@debian.org>,
  Johannes 'josch' Schauer <josch@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-exec,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
  procps,
  less,
- locales-all,
- python3 (>= 3.6),
+ locales-all <!nodoc>,
+ notmuch,
+ pybuild-plugin-pyproject,
+ python3,
  python3-configobj,
- python3-doc,
+ python3-doc <!nodoc>,
  python3-gpg (>= 1.13.1-6),
- python3-magic (>= 2:0.4.15),
+ python3-magic,
  python3-notmuch2 (>= 0.30),
  python3-setuptools,
- python3-sphinx (>= 1.0.7+dfsg),
- python3-twisted (>= 18.4.0),
- python3-urwid (>= 1.1.0),
+ python3-sphinx <!nodoc>,
+ python3-standard-mailcap,
+ python3-twisted,
+ python3-urwid,
  python3-urwidtrees (>= 1.0.3),
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/pazz/alot/
 Vcs-Git: https://salsa.debian.org/python-team/packages/alot.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/alot
@@ -32,19 +36,20 @@
 Package: alot
 Architecture: all
 Depends:
+ notmuch,
  python3-configobj,
  python3-gpg,
  python3-magic,
  python3-notmuch2 (>= 0.30),
- python3-twisted (>= 18.4.0),
- python3-urwid (>= 1.1.0),
+ python3-standard-mailcap,
+ python3-twisted,
+ python3-urwid,
  python3-urwidtrees (>= 1.0.3),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
  alot-doc,
 Recommends:
- notmuch,
  w3m | links | links2,
 Description: Text mode MUA using notmuch mail
  Alot is a text mode mail user agent for the notmuch mail system.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")

export DEB_VERSION_UPSTREAM  # used by patched docs/source/conf.py

export LC_ALL=C.UTF-8
export PYBUILD_INSTALL_DIR=/usr/share/alot/

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	rm -rf $(CURDIR)/docs/build
	$(MAKE) -C docs html man SPHINXOPTS="-D today=\"$(BUILD_DATE)\""
endif # nodoc

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4

opts=\
pgpsigurlmangle=s/(.+)\/archive\/refs\/tags\/(\S+)\.tar\.gz/$1\/releases\/download\/$2\/$2.tar.gz.asc/,\
filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1% \
https://github.com/pazz/alot/tags \
(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## alot 0.12

=== debian/changelog ===
alot (0.12-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Bump file to version 5.
  * New upstream version.
  * Standards-Version: 4.7.3 (routine-update)

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 23 Jan 2026 17:27:48 -0300

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  python3-twisted,
  python3-urwid,
  python3-urwidtrees (>= 1.0.3),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/pazz/alot/
 Vcs-Git: https://salsa.debian.org/python-team/packages/alot.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/alot

=== debian/watch ===
Version: 5
Template: GitHub
Owner: pazz
Project: alot
Uversion-Mangle: auto
